import { createRouter, createWebHistory } from 'vue-router'
import WelcomeView from './views/WelcomeView.vue'
import DeviceCheckView from './views/DeviceCheckView.vue'
import InterviewView from './views/InterviewView.vue'
import CompletionView from './views/CompletionView.vue'
import TestView from './views/TestView.vue'

const router = createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      name: 'welcome',
      component: WelcomeView
    },
    {
      path: '/device-check',
      name: 'device-check',
      component: DeviceCheckView
    },
    {
      path: '/interview',
      name: 'interview',
      component: InterviewView
    },
    {
      path: '/completion',
      name: 'completion',
      component: CompletionView
    },
    {
      path: '/test',
      name: 'test',
      component: TestView
    }
  ]
})

export default router